VERSION 5.00
Begin VB.Form frmMass 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Calculate Mass"
   ClientHeight    =   3000
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4815
   LinkTopic       =   "frmMass"
   MaxButton       =   0   'False
   ScaleHeight     =   3000
   ScaleWidth      =   4815
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdBack 
      Caption         =   "Back"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1800
      TabIndex        =   10
      Top             =   2520
      Width           =   1215
   End
   Begin VB.TextBox txtDensity 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   960
      TabIndex        =   6
      Top             =   120
      Width           =   2655
   End
   Begin VB.TextBox txtVolume 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   960
      TabIndex        =   5
      Top             =   600
      Width           =   2655
   End
   Begin VB.ComboBox DensityUnits 
      Height          =   315
      ItemData        =   "frmMass.frx":0000
      Left            =   3720
      List            =   "frmMass.frx":000A
      TabIndex        =   4
      Text            =   "Units"
      Top             =   120
      Width           =   975
   End
   Begin VB.ComboBox VolUnits 
      Height          =   315
      ItemData        =   "frmMass.frx":001F
      Left            =   3720
      List            =   "frmMass.frx":002F
      TabIndex        =   3
      Text            =   "Units"
      Top             =   600
      Width           =   975
   End
   Begin VB.TextBox txtMass 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H00000000&
      ForeColor       =   &H80000005&
      Height          =   285
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   2
      Top             =   2040
      Width           =   4575
   End
   Begin VB.CommandButton cmdCalculate 
      Caption         =   "Calculate"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1380
      TabIndex        =   1
      Top             =   1080
      Width           =   2055
   End
   Begin VB.TextBox MassUnits 
      Height          =   285
      Left            =   120
      TabIndex        =   0
      Top             =   1080
      Visible         =   0   'False
      Width           =   1095
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Density:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   120
      Width           =   855
   End
   Begin VB.Label Label2 
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      Caption         =   "Volume:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   600
      Width           =   855
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Mass"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   7
      Top             =   1560
      Width           =   4575
   End
End
Attribute VB_Name = "frmMass"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'variables
Dim d As Currency
Dim v As Currency

Private Sub Form_Load()
    NoFocusRect cmdCalculate, True
    FormatCurrency (d)
    FormatCurrency (v)
End Sub

Private Sub cmdCalculate_Click()
'don't do a thing if there is an error
On Error GoTo error:
  'variable definitions
  d = txtDensity.Text
  v = txtVolume.Text
    'unit conversions
    If DensityUnits.Text = "g / cm" Then
        d = d * 1
    ElseIf DensityUnits.Text = "g / ml" Then
        d = d * 1
    End If
    If VolUnits.Text = "cm" Then
        v = v * 1
    ElseIf VolUnits.Text = "m" Then
        v = v * 1000000
    ElseIf VolUnits.Text = "ml" Then
        v = v * 1
    ElseIf VolUnits.Text = "L" Then
        v = v * 1000
    End If
        'finish it off by displaying the answer in a textbox
        txtMass.Text = d * v & " " & "g"
'don't do a thing if there is an error
error:
End Sub

Private Sub cmdBack_Click()
    Unload Me
End Sub
