VERSION 5.00
Begin VB.Form frmDensity 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Calculate Density"
   ClientHeight    =   3000
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4575
   LinkTopic       =   "frmDensity"
   MaxButton       =   0   'False
   ScaleHeight     =   3000
   ScaleWidth      =   4575
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdBack 
      Caption         =   "Back"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1680
      TabIndex        =   10
      Top             =   2520
      Width           =   1215
   End
   Begin VB.TextBox DensityUnits 
      Height          =   285
      Left            =   120
      TabIndex        =   9
      Top             =   1080
      Visible         =   0   'False
      Width           =   1095
   End
   Begin VB.CommandButton cmdCalculate 
      Caption         =   "Calculate"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   1260
      TabIndex        =   8
      Top             =   1080
      Width           =   2055
   End
   Begin VB.TextBox txtDensity 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H00000000&
      ForeColor       =   &H80000005&
      Height          =   285
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   4
      Top             =   2040
      Width           =   4335
   End
   Begin VB.ComboBox VolUnits 
      Height          =   315
      ItemData        =   "frmDensity.frx":0000
      Left            =   3720
      List            =   "frmDensity.frx":0010
      TabIndex        =   3
      Text            =   "Units"
      Top             =   600
      Width           =   735
   End
   Begin VB.ComboBox MassUnits 
      Height          =   315
      ItemData        =   "frmDensity.frx":0024
      Left            =   3720
      List            =   "frmDensity.frx":0031
      TabIndex        =   2
      Text            =   "Units"
      Top             =   120
      Width           =   735
   End
   Begin VB.TextBox txtVolume 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   960
      TabIndex        =   1
      Top             =   600
      Width           =   2655
   End
   Begin VB.TextBox txtMass 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   960
      TabIndex        =   0
      Top             =   120
      Width           =   2655
   End
   Begin VB.Label Label3 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      Caption         =   "Density"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   18
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   120
      TabIndex        =   7
      Top             =   1560
      Width           =   4335
   End
   Begin VB.Label Label2 
      BackColor       =   &H00C0C0C0&
      BackStyle       =   0  'Transparent
      Caption         =   "Volume:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00000000&
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   600
      Width           =   855
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "Mass:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   855
   End
End
Attribute VB_Name = "frmDensity"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'variables
Dim m As Currency
Dim v As Currency

Private Sub Form_Load()
    'make sure that the focus rectangle is not showing (extra feature)
    NoFocusRect cmdCalculate, True
    'simple formatting so that the currency will look proper
    FormatCurrency (m)
    FormatCurrency (v)
End Sub

Private Sub cmdCalculate_Click()
'just incase of an error...do absolutely nothing!
On Error GoTo error:
  'variable definitions
  m = txtMass.Text
  v = txtVolume.Text
    'unit conversions
    If MassUnits.Text = "g" Then
        m = m * 1
    ElseIf MassUnits.Text = "mg" Then
        m = m * 0.001
    ElseIf MassUnits.Text = "kg" Then
        m = m * 1000
    End If
        If VolUnits.Text = "cm" Then
            v = v * 1
        ElseIf VolUnits.Text = "m" Then
            v = v * 1000000
        ElseIf VolUnits.Text = "ml" Then
            v = v * 1
        ElseIf VolUnits.Text = "L" Then
            v = v * 1000
        End If
    'density unit output
    If MassUnits.Text = "g" And VolUnits.Text = "cm" Then
        DensityUnits.Text = "g / cm"
    ElseIf MassUnits.Text = "g" And VolUnits.Text = "m" Then
        DensityUnits.Text = "g / cm"
    ElseIf MassUnits.Text = "g" And VolUnits.Text = "ml" Then
        DensityUnits.Text = "g / ml"
    ElseIf MassUnits.Text = "g" And VolUnits.Text = "L" Then
        DensityUnits.Text = "g / ml"
    ElseIf MassUnits.Text = "mg" And VolUnits.Text = "cm" Then
        DensityUnits.Text = "g / cm"
    ElseIf MassUnits.Text = "mg" And VolUnits.Text = "m" Then
        DensityUnits.Text = "g / cm"
    ElseIf MassUnits.Text = "mg" And VolUnits.Text = "ml" Then
        DensityUnits.Text = "g / ml"
    ElseIf MassUnits.Text = "mg" And VolUnits.Text = "L" Then
        DensityUnits.Text = "g / ml"
    ElseIf MassUnits.Text = "kg" And VolUnits.Text = "cm" Then
        DensityUnits.Text = "g / cm"
    ElseIf MassUnits.Text = "kg" And VolUnits.Text = "m" Then
        DensityUnits.Text = "g / cm"
    ElseIf MassUnits.Text = "kg" And VolUnits.Text = "ml" Then
        DensityUnits.Text = "g / ml"
    ElseIf MassUnits.Text = "kg" And VolUnits.Text = "L" Then
        DensityUnits.Text = "g / ml"
    End If
        'finish it off by displaying the answer in a textbox
        txtDensity.Text = m / v & " " & DensityUnits.Text
'don't do anything if there is an error
error:
End Sub

Private Sub cmdBack_Click()
    Unload Me
End Sub
